<?php
function my_new_contactmethods( $contactmethods ) {
// Add Twitter
$contactmethods['twitter'] = 'Twitter';
//add Facebook
$contactmethods['facebook'] = 'Facebook';
//add LinkedIn
$contactmethods['linkedin'] = 'LinkedIn';


return $contactmethods;
}
add_filter('user_contactmethods','my_new_contactmethods',10,1);




### Function: Display Most Viewed Page/Post By Category ID
if(!function_exists('get_most_viewed_category')) {
	function get_most_viewed_category($category_id = 0, $mode = '', $limit = 10, $chars = 0, $display = true) {
		global $wpdb, $post;
		$where = '';
		$temp = '';
		if($mode == 'post') {
			$where = 'post_status = \'publish\'';
		} elseif($mode == 'page') {
			$where = 'post_status = \'static\'';
		} else {
			$where = '(post_status = \'publish\' OR post_status = \'static\')';
		}
		$most_viewed = $wpdb->get_results("SELECT $wpdb->posts.ID, post_title, post_name, post_status, post_date, CAST(meta_value AS UNSIGNED) AS views FROM $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID LEFT JOIN $wpdb->post2cat ON $wpdb->post2cat.post_id = $wpdb->posts.ID WHERE post_date < '".current_time('mysql')."' AND $wpdb->post2cat.category_id = $category_id AND $where AND meta_key = 'views' AND post_password = '' ORDER  BY views DESC LIMIT $limit");
		if($most_viewed) {
			if($chars > 0) {
				foreach ($most_viewed as $post) {
					$post_title = htmlspecialchars(stripslashes($post->post_title));
					$post_views = intval($post->views);
					$post_views = number_format($post_views);
					$temp .= "<li><a href=\"".get_permalink()."\">".snippet_chars($post_title, $chars)."</a> - $post_views ".__('Views')."</li>\n";
				}
			} else {
				foreach ($most_viewed as $post) {
					$post_title = htmlspecialchars(stripslashes($post->post_title));
					$post_views = intval($post->views);
					$post_views = number_format($post_views);
					$temp .= "<li><a href=\"".get_permalink()."\">$post_title</a> - $post_views ".__('Views')."</li>\n";
				}
			}
		} else {
			$temp = '<li>'.__('N/A').'</li>'."\n";
		}
		if($display) {
			echo $temp;
		} else {
			return $temp;
		}
	}
}


function validate_gravatar($email) {
	// Craft a potential url and test its headers
	$hash = md5(strtolower(trim($email)));
	$uri = 'http://www.gravatar.com/avatar/' . $hash . '?d=404';
	$headers = @get_headers($uri);
	if (!preg_match("|200|", $headers[0])) {
		$has_valid_avatar = FALSE;
	} else {
		$has_valid_avatar = TRUE;
	}
	return $has_valid_avatar;
}





function wordpressapi_comments($comment, $args, $depth) {

 $GLOBALS['comment'] = $comment; ?>

 <li id="li-comment-<?php comment_ID() ?>">

 <div class="commentbody">

 <div class="CommentRight">

 <?php echo get_avatar($comment,$size='50',$default='<path_to_url>' ); ?>

 <?php $user_name_str = substr(get_comment_author(),0, 50); ?>

 <div class="clear"></div>


 </div>

 





 

<div class="CommentLeft">
	<div class="CommentInfo">
		<?php printf(__('<span class="commentauthor">%s</span>'), $user_name_str) ?>
        <span style="font:11px Tahoma, Geneva, sans-serif;" class="comment-date">
        	<span class="comment-date"><?php printf(__('%1$s'), get_comment_date('j F Y'),  get_comment_time('g:i')) ?></span>
    		<div class="clear"></div>
    		</span>
	</div>
 

 <div class="clear"></div>



 <div class="CommentText"><?php comment_text() ?></div>


 <div class="clear"></div>
	<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
    <?php edit_comment_link(__('ویرایش'),'  ','') ?>


	<div style="float:right;color:red;">

		<?php if ($comment->comment_approved == '0') : ?>

		<em><?php _e('دیدگاه شما منتظر تایید شدن می باشد') ?></em>

		<br />

		<?php endif; ?>

	</div>
    
    </div>
	<div class="clear"></div>
 </div>

<?php

}
?>